Forum Linux.debian/ubuntu aptitude farceur ce matin

Posté par .
Tags : aucun
-1
10
jan.
2012

ce matin j'ai besoin d'installer Skype sur mon Linux (ubuntu 11.10 64bits)
je fais donc appel à aptitude qui me dit que ce serait possible

:~$aptitude search skype
p pidgin-skype - Extension Skype pour les messageries instantanées basées sur libpurple
p pidgin-skype-dbg - Extension Skype pour les messageries instantanées basées sur libpurple
p skype - VOIP and instant messaging client
v skype4pidgin -
v skype4pidgin -

ou pas :(

:~$ sudo aptitude install skype
Impossible de trouver le paquet « skype ». Cependant, les
paquets suivants comportent « skype » dans leur nom :
pidgin-skype pidgin-skype pidgin-skype-dbg pidgin-skype-dbg skype skype4pidgin skype4pidgin
Impossible de trouver le paquet « skype ». Cependant, les
paquets suivants comportent « skype » dans leur nom :
pidgin-skype pidgin-skype pidgin-skype-dbg pidgin-skype-dbg skype skype4pidgin skype4pidgin
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.

pourtant, nous ne sommes pas encore le 1er avril.

j'ai essayé avec un source.list qui pointe sur les mirroirs de la société, et un source.list qui va chercher sur les depots habituels de la distribution (depot extras et partner sont activés)

  • # je viens de tester avec apt-get à l'instant

    Posté par . Évalué à  4 .

    :~$sudo apt-get update

    :~$ apt-cache search skype
    pidgin-skype - Skype plugin for libpurple messengers
    pidgin-skype-dbg - Skype plugin for libpurple messengers (debug symbols)
    skype - VOIP and instant messaging client

    :~$sudo apt-get install skype

    là ca semble bien se passer, mais il va chercher des paquets 32bits
    le probleme decrit plus haut vient peut-etre juste d'aptitude qui ne cherche pas dans les paquets 32bits si la distrib est 64bits

  • # mise à jour de la liste des paquets

    Posté par (page perso) . Évalué à  -1 .

    il est possible que ta liste de paquets ne soit plus à jour, du coup aptitude va chercher un paquet dont la version n'existe plus.

    mettre à jour la liste des paquets:

    aptitude -u

    ensuite tu peux recommencer
    dans aptitude tu peux utiliser la touche / pour lancer une recherche, et la touche n pour l'occurrence suivante.

  • # Que dit apt-cache ?

    Posté par . Évalué à  3 .

    Essaye la commande suivante :

    apt-cache policy skype
    
    

    Avec cette commande tu devrais avoir la liste des paquets candidat, et celui sélectionné par défaut. Tu pourras forcer l'install avec apt-get install skype=x.y.z si nécessaire.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.